/* Problem 1--Tron's Deadly Disk
   Solution by Michael R. Kowalczyk, Ph.D.
   This was a straightforward ASCII art problem with nothing tricky at
   all */

import java.util.*;
import java.io.*;

public class prob1 {
	public static void main(String[] args) throws Exception {
		Scanner in = new Scanner(new File("prob1.in"));
		PrintStream out = new PrintStream(new File("prob1.out"));

		while(in.hasNextInt()) {
			int layers = in.nextInt();
			int coreSize = in.nextInt();

			for(int r = layers-1; r >= 0; r--) {  //top diagonal part of
				repeat(" ", r, out);              //octagon
				repeat("/", layers-r, out);
				repeat("-", coreSize, out);
				repeat("\\", layers-r, out);
				out.println();
			}
			for(int r = 0; r < coreSize; r++) { //vertical part
				repeat("|", layers, out);
				repeat(" ", coreSize, out);
				repeat("|", layers, out);
				out.println();
			}
			for(int r = 0; r < layers; r++) { //bottom diagonal part
				repeat(" ", r, out);
				repeat("\\", layers-r, out);
				repeat("-", coreSize, out);
				repeat("/", layers-r, out);
				out.println();
			}
			out.println();
		}


		in.close();
		out.close();
	}

    //repeats the printing of a string multiple times
	private static void repeat(String s, int times, PrintStream out)
     throws Exception {
		for(int i = 0; i < times; i++) out.print(s);
	}
}
